@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.homes-page {
  width: 100%;
  position: relative;
  overflow-x: hidden;
  .main-image {
    height: 100vh;
    width: 100%;
    background-image: url(../../public/images/homes-bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    .main-title {
      margin: 0 auto;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      position: relative;
      &::before {
        position: absolute;
        content: 'The';
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 60px;
        color: #f1efe5;
        text-transform: capitalize;
        letter-spacing: 0.01em;
        left: -85px;
        top: -18px;
      }
      @include heading-font;
      @media (max-width: 1024px) {
        font-size: 50px;
        &::before {
          left: -65px;
          font-size: 40px;
        }
      }
      @media (max-width: 300px) {
        font-size: 32px;
      }
      @include mobile {
        margin-left: 50%;
        transform: translate(-40%) !important;
      }
    }
  }
  .second-section {
    width: 100%;
    position: relative;
    background: #f9f6ed;
    .text-div {
      padding: 0 100px;
      padding-top: 120px;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 70px;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          display: flex;
          align-items: center;
          justify-content: center;
          line-height: 1.1em;
          flex-direction: column;

          &:first-of-type {
            display: block;
            text-align: center;
          }

          > span {
            margin-bottom: 10px;
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 63.1px;
            letter-spacing: -0.01em;
            color: #9c7e61;
            text-transform: lowercase;

            @media (max-width: 1024px) {
              font-size: 45px;
            }
          }

          @include heading-font;
        }
      }
      .content {
        margin-top: 36px;
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        width: 55ch;
        margin: 40px auto 0;
        text-align: center;

        @include tablet {
          font-size: 18px;
        }
        @include mobile {
          margin: 20px 0 auto;
        }
        @include subheading-font;
      }
    }
    .images-div {
      width: 100%;
      padding: 120px 40px 0;
      display: flex;
      box-sizing: border-box;
      align-items: flex-end;
      justify-content: space-between;
      .image-container {
        height: 65vh;
        width: calc(53% - 32px);
        &:first-of-type {
          height: 50vh;
          width: 25.5%;
          margin-right: 16px;
        }
        &:last-of-type {
          height: 50vh;
          width: 21.5%;
          margin-left: 16px;
        }
        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
    }
    @media (max-width: 1024px) {
      min-height: fit-content;
      padding-bottom: 0px;
      .text-div {
        padding: 80px 20px 50px;

        @include mobile {
          padding-top: 50px;
        }
        .title {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: center;

          & > * + * {
            margin-top: 8px;
          }
          > div {
            line-height: 1.3em;

            &:last-of-type {
              width: max-content;
              display: flex;
              flex-direction: column;
              text-align: center;
              > span {
                font-size: 33px;
                margin: 0;
                margin-bottom: 10px;
              }
              @include mobile {
                // width: unset;
              }
            }
          }
        }
        .content {
          text-align: center;
          margin: auto;
          margin-top: 20px;
          width: 53ch;
          @include mobile {
            width: unset;
          }
        }
      }
      .images-div {
        display: none;
      }
      .images-div-mobile {
        display: block;

        .image-container {
          height: 300px;
          width: 100vw;

          @include tablet {
            height: 500px;
          }

          > img {
            height: 100%;
            width: 100%;
            object-fit: cover;
            object-position: bottom;
          }
        }
      }
    }
  }
  .third-section,
  .sixth-section {
    width: 100%;
    background-color: rgba(156, 126, 97, 1);
    padding: 120px 0;

    @media (max-width: 1024px) {
      padding-top: 80px;
      @include mobile {
        padding-top: 50px;
      }
    }
    > div {
      display: flex;
      align-items: center;
      justify-content: space-between;
      .text-div {
        margin-left: 50px;
        margin-right: 75px;
        margin-top: -50px;
        .title {
          > div {
            font-family: 'Editorial New';
            font-style: normal;
            font-weight: 200;
            font-size: 90px;
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: #f8f0e8;
            display: flex;
            align-items: center;
            line-height: 1.1em;
            margin-bottom: 20px;
            > span {
              display: block;
              margin-bottom: -10px;
              margin-left: 85px;
              margin-right: 30px;
              font-family: 'Notera';
              font-style: normal;
              font-weight: 400;
              text-transform: lowercase;
              font-size: 63px;
              line-height: 110%;
              letter-spacing: -0.01em;
              color: #f1efe5;
            }
            @include heading-font;
          }
        }
        .content {
          font-family: 'Manrope';
          font-style: normal;
          font-weight: 400;
          font-size: 20px;
          color: #f8f0e8;
          opacity: 0.7;
          width: 44ch;
          margin-left: 100px;
          margin-top: 37px;
          @include subheading-font;
        }
      }
      .potential-image {
        margin-right: 0;
        flex: 0.97;
        > img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }

        @include desktop-xlg {
          width: 50%;
        }
      }
    }

    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
    }
    .explore-btn {
      background: #828485;
      border-radius: 150px;
      padding: 14px 21px;
      width: fit-content;
      margin: 0 auto;
      margin-top: 100px;
      font-family: 'Manrope';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      text-align: center;
      cursor: not-allowed;
      letter-spacing: 0.02em;
      text-transform: uppercase;
      color: #f1efe5;
      border: 1px solid #262e2f;

      @include tablet {
        margin: 0px auto;
      }
      @include mobile {
        font-size: 14px;
        margin: 0px auto;
      }
    }
    .coming-soon-btn {
      display: block;
      font-family: 'Notera';
      font-style: normal;
      font-weight: 400;
      font-size: 40px;
      margin-left: 20px;
      letter-spacing: -0.01em;
      color: #ffffff;
      text-align: center;
      margin: 0;
    }
    @media (max-width: 1024px) {
      padding-bottom: 0;
      min-height: unset;
      > div {
        flex-direction: column;
        .text-div {
          margin: 0;
          padding: 0 20px;
          .title {
            width: 100%;
            > div {
              display: flex;
              flex-direction: column;
              justify-content: center;
              line-height: 1.3em;
              &:first-of-type {
                margin-bottom: 8px;
              }
              > span {
                margin-right: 0;
                font-size: 33px;
                margin-left: 20px;
              }
            }
          }
          .content {
            text-align: center;
            margin: 20px auto 50px;
            width: 45ch;
            @include mobile {
              width: unset;
            }
          }
        }
        .potential-image {
          display: none;
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          > img {
            width: 100%;
          }
        }
      }
      .images-div-mobile {
        display: block;

        .image-container {
          height: 300px;
          width: 100vw;

          @include tablet {
            height: 500px;
          }

          > img {
            height: 100%;
            width: 100%;
            object-fit: cover;
          }
        }
      }
      .coming-soon-btn {
        margin-bottom: 50px;
        font-size: 30px;
      }
    }
  }
  .fourth-section {
    width: 100%;
    min-height: 100vh;
    background: #f9f6ed;
    box-sizing: border-box;
    padding: 120px 80px;

    .text-div {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      .title {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 90px;
          text-align: center;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: #262e2f;
          &:first-of-type {
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 63px;
            text-align: center;
            letter-spacing: 0.01em;
            color: #9c7e61;
            text-transform: capitalize;

            > span {
              font-family: 'Editorial New';
              font-style: normal;
              font-weight: 200;
              font-size: 90px;
              text-align: center;
              letter-spacing: 0.01em;
              text-transform: uppercase;
              color: #262e2f;
              @include heading-font;
            }
          }
          @include heading-font;
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 20px;
        text-align: center;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        width: 56ch;
        @include subheading-font;
      }
    }
    .accordion-carousel {
      width: 100%;
      display: flex;
      justify-content: flex-end;
      margin-top: 100px;
      box-sizing: border-box;
      > div {
        height: 600px;
        width: 150px;
        display: flex;
        justify-content: center;
        align-items: flex-end;
        transition: all 0.5s ease-in-out;
        background: rgba(158, 147, 128, 0.1);
        border: 1px solid rgba(0, 0, 0, 0.2);
        // border-radius: 16px;
        margin-right: 20px;
        cursor: pointer;
        position: relative;
        &:last-of-type {
          margin-right: 0px;
        }

        .arrows {
          display: none;
        }
        .features {
          display: none;
        }
        .title-name {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 40px;
          z-index: 1;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: #51402f;
          transform-origin: left top;
          transform: rotate(-90deg);
          display: flex;
          align-items: center;
          position: absolute;
          bottom: 0;
          left: 10px;
          transition: none;
          margin-bottom: 20px;
          &:before {
            margin-bottom: 40px;
            margin-right: 10px;
            display: block;
            content: 'The';
            font-family: 'Notera';
            font-style: normal;
            text-transform: capitalize;
            font-weight: 400;
            font-size: 63px;
            letter-spacing: 0.01em;
            color: #9c7e61;
          }
        }
        &:hover {
          background: rgba(255, 255, 255, 0.1);
          border: 2px solid #9c7e61;
        }
      }
      .selected {
        width: calc(100% - 560px);
        transition: all 0.5s ease-in-out;
        border: 1px solid rgba(255, 255, 255, 1);
        cursor: default;
        .arrows {
          display: block;
          cursor: pointer;
          > div {
            > svg {
              width: 60px;
              height: 60px;
            }
          }
          .arrow-container {
            position: absolute;
            color: white;
            font-size: 2rem;
            display: flex;
            align-items: center;
            top: 50%;
            transform: translate(0, -50%);
            transition: all 0.5s ease-in-out;
            cursor: pointer;
            &:first-of-type {
              left: 0;
              > div {
                margin-top: 40px;
                margin-left: 60px;
              }
            }
            &:last-of-type {
              right: 0;
              > div {
                margin-top: 40px;
                margin-right: 60px;
              }
            }
          }
          .left-arrow {
            position: absolute;
            left: 3%;
            top: 50%;
            fill: #f4f1ec;
            z-index: 1;
            height: 40px;
          }
          .right-arrow {
            position: absolute;
            z-index: 1;
            right: 3%;
            top: 50%;
            fill: #f4f1ec;
            height: 40px;
          }
        }

        .features {
          width: 100%;
          display: flex;
          justify-content: center;
          padding: 0 5px;
          margin: 20px 0;
          animation: fadein 2s;
          cursor: pointer;
          & > * + * {
            margin-left: 20px;
          }
          > div {
            display: flex;
            align-items: center;
            z-index: 1;
            justify-content: center;
            font-family: 'Manrope';
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            text-align: center;
            letter-spacing: 0.02em;
            text-transform: uppercase;
            color: #293227;
            border-radius: 250px;
            padding: 12px 20px;
            background-size: 200% 100%;
            background-image: linear-gradient(
              to right,
              #d8d5ced5 50%,
              #f9f6ed 50%
            );
            transition: background-position 1s;
            &:hover {
              background-position: -100% 0;
            }
          }
          .active {
            border: 3px solid #d2ac47;
            background-size: 200% 100%;
            background-image: linear-gradient(
              to right,
              #ffffff 50%,
              #f9f6ed 50%
            );
            transition: background-position 1s;
            &:hover {
              background-position: -100% 0;
            }
          }
        }

        .title-name {
          color: rgba(255, 255, 255, 1);
          transition-delay: 0.5s;
          transform: none;
          animation: fadein 2s;
          left: 40px;
          position: absolute;
          height: fit-content;
          top: 0;
          font-size: 60px;
          &:before {
            color: #f1efe5;
            margin-bottom: 100px;
          }
        }
        &:hover {
          border: 1px solid rgba(255, 255, 255, 1);
        }
      }
      .dark-backdrop {
        height: 100%;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.15);
        position: absolute;
      }
    }
    .mobile-carousel-controls {
      display: none;
      width: 100%;
      padding: 50px 10px 0 10px;
      .arrows-mobile {
        display: flex;
        width: 100%;
        justify-content: space-between;
        margin-bottom: 20px;
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 24px;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: #262e2f;
          position: relative;
          &:before {
            position: absolute;
            left: -35px;
            top: -10px;
            content: 'The';
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 24px;
            text-transform: capitalize;
            letter-spacing: 0.01em;
            color: rgba(38, 46, 47, 0.7);
          }

          @include tablet {
            font-size: 28px;
          }
        }
      }
      .features {
        width: 100%;
        display: flex;
        justify-content: space-between;
        padding: 0 5px;
        overflow-x: auto;
        white-space: nowrap;
        & > * + * {
          margin-left: 20px;
        }

        @include tablet {
          justify-content: center;
        }

        &::-webkit-scrollbar {
          display: none;
          width: 0px;
        }

        > div {
          @media screen and (max-width: 700px) {
            flex: 1;
          }
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'Manrope';
          font-style: normal;
          font-weight: 400;
          font-size: 14px;
          text-align: center;
          letter-spacing: 0.02em;
          text-transform: uppercase;
          color: #262e2f;
          border: 1px solid #262e2f;
          border-radius: 250px;
          padding: 12px 20px;
        }
      }
    }
    .images-div-mobile {
      display: none;
      padding-bottom: 50px;
      margin-top: 20px;
      @include tablet {
        margin-top: 50px;
        padding-bottom: 80px;
      }
      img {
        height: 100%;
      }
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
      .arrows {
        display: block;
        cursor: pointer;
        > div {
          > svg {
            width: 60px;
            height: 60px;
          }
        }
        .arrow-container {
          position: absolute;
          color: white;
          font-size: 1.5rem;
          display: flex;
          align-items: center;
          bottom: -5%;
          transform: translate(0, -50%);
          transition: all 0.5s ease-in-out;
          cursor: pointer;

          @include tablet {
            bottom: 0;
          }

          &:first-of-type {
            left: 0;
            > div {
              margin-top: 30px;
              margin-left: 50px;
            }
          }
          &:last-of-type {
            right: 0;
            > div {
              margin-top: 30px;
              margin-right: 50px;
            }
          }
        }
        .left-arrow {
          position: absolute;
          left: 3%;
          top: 50%;
          fill: #f4f1ec;
          z-index: 1;
          height: 30px;
        }
        .right-arrow {
          position: absolute;
          z-index: 1;
          right: 3%;
          top: 50%;
          fill: #f4f1ec;
          height: 30px;
        }
      }
      .dark-backdrop {
        height: 100%;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.1);
        position: absolute;
      }
      .image-container {
        height: 300px;
        width: 100vw;

        @include tablet {
          height: 500px;
        }
        @include mobile {
          margin-top: 20px;
        }

        > img {
          height: 100%;
          width: 100%;
          object-fit: unset;
        }
      }
    }
    @media (max-width: 1024px) {
      padding: 0;
      padding-top: 50px;
      min-height: unset;
      .text-div {
        width: 100%;
        padding: 0 20px;
        .title {
          > div {
            width: 100%;
            @include mobile {
              font-size: 36px; // text should be in single line
            }
            &:first-of-type {
              font-size: 33px;

              @include tablet {
                font-size: 45px;
              }
            }
          }
        }
        .content {
          width: 40ch;
          font-size: 14px;
          margin-top: 20px;
          @include tablet {
            font-size: 18px;
          }
          @include mobile {
            width: unset;
          }
        }
      }
      .accordion-carousel {
        display: none;
      }
      .mobile-carousel-controls {
        display: block;
      }
      .images-div-mobile {
        display: block;
      }

      @include tablet {
        min-height: unset;
        padding-top: 80px;
      }
    }
  }
  .fifth-section {
    width: 100%;
    background-color: #f9f6ed;
    padding-bottom: 180px;
    padding-top: 120px;

    .text-div {
      margin: 0 auto;
      width: fit-content;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 90px;
          text-align: center;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          letter-spacing: -0.01em;
          color: #262e2f;
          &:first-of-type {
            font-family: 'Notera';
            font-style: normal;
            text-align: center;
            text-transform: none;
            font-weight: 400;
            font-size: 63px;
            color: #9c7e61;
          }
          @include heading-font;
        }
      }
      .content {
        max-width: 42ch;
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        text-align: center;
        margin: 0 auto;

        @include subheading-font;
      }
    }
    .images-div {
      width: 100%;
      position: relative;
      height: 300px;
      .image-container {
        position: absolute;
        &:nth-of-type(1) {
          width: 24vw;
          height: 400px;
          left: 0;
          bottom: 160px;
        }
        &:nth-of-type(2) {
          width: 20vw;
          height: 310px;
          left: 15vw;
          top: 40px;
        }
        &:nth-of-type(3) {
          width: 18vw;
          right: 15vw;
          height: 310px;
          top: 40px;
        }
        &:nth-of-type(4) {
          width: 20vw;
          height: 520px;
          right: 0;
          bottom: 170px;
        }
        &:nth-of-type(5) {
          width: 20vw;
          height: 290px;
          left: 6vw;
          bottom: 550px;
        }
        &:nth-of-type(6) {
          width: 20vw;
          height: 290px;
          right: 5vw;
          bottom: 550px;
        }

        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
      img {
        height: 100%;
        width: 100vw;
        object-fit: cover;
      }
    }
    @media (max-width: 1024px) {
      min-height: unset;
      padding-bottom: 0px;
      padding-top: 80px;

      @include mobile {
        padding-top: 50px;
      }
      .text-div {
        padding: 0 20px;
        width: 100%;
        .title {
          margin: 0 auto;
          > div {
            width: 100%;
            text-align: center;
            line-height: 1.3em;
            &:first-of-type {
              text-align: center;
              font-size: 40px;
            }
          }
        }
        .content {
          margin-top: 20px;
        }
      }
      .images-div {
        display: none;
      }
      .images-div-mobile {
        display: block;
        .image-container {
          height: 300px;
          width: 100vw;

          @include tablet {
            height: 500px;
          }

          > img {
            height: 100%;
            width: 100%;
            object-fit: cover;
          }
        }
      }
    }
  }
  .homesRooftop {
    width: 100%;
    height: 70vh;

    @include mobile {
      height: 30vh;
    }
  }
  .sixth-section {
    background: #f9f6ed;
    > div {
      .text-div {
        .title {
          > div {
            color: #262e2f;
            font-size: 50px;
            justify-content: center;
            @media screen and (max-width: 1024px) {
              font-size: 40px;
            }
            & > * + * {
              margin-left: 8px;
            }
            @media (max-width: 1024px) {
              flex-direction: row;
              & > * + * {
                margin-left: 0px;
              }
            }
            @media (max-width: 350px) {
              flex-direction: column;
            }
            > span {
              font-family: 'Notera';
              font-style: normal;
              font-weight: 400;
              font-size: 63px;
              @media screen and (max-width: 1024px) {
                font-size: 50px;
              }
              text-align: center;
              letter-spacing: 0.01em;
              color: #9c7e61;
              text-transform: none;
              margin: 0 20px;
              line-height: 1;
              margin-top: -10px;
              @include mobile {
                font-size: 28px;
                margin: 0 5px;
              }
            }

            @include heading-font;
            @media (min-width: '1025px') {
              font-size: 50px;
            }
            @media (min-width: '1500px') {
              font-size: 60px;
            }
            @media (min-width: '1700px') {
              font-size: 70px;
            }
            @media (min-width: '1900px') {
              font-size: 85px;
            }
            @include mobile {
              font-size: 32px;
            }
          }
        }
        .content {
          color: rgba(38, 46, 47, 0.7);
          margin: 0 auto;
          text-align: center;
          @media (max-width: 1024px) {
            margin-bottom: 50px;
          }
        }
      }
    }
  }

  .third-section {
    > div {
      .text-div {
        @include tablet {
          .title {
            text-align: center;
            > div {
              display: inline;
              margin: 0 0.5rem;
              > span {
                display: inline;
                font-size: 45px;
                margin: 0 1rem 0 0;
              }
            }
          }
        }
        @include mobile {
          .title {
            > div {
              flex-direction: row;
            }
          }
        }
      }
    }
  }
  .seventh-section {
    width: 100%;
    box-sizing: border-box;
    padding: 120px 80px;
    min-height: 100vh;
    background: rgba(156, 126, 97, 1);
    .title {
      width: fit-content;
      margin: 0 auto;
      position: relative;
      text-align: center;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      &:before {
        content: 'The';
        text-transform: capitalize;
        position: absolute;
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 63px;
        letter-spacing: 0.01em;
        color: #f1efe5;
        left: -100px;
        top: -10px;
      }
      @include heading-font;
    }
    .content {
      margin-top: 100px;
      display: flex;

      .list {
        width: 400px;
        @include desktop-lg {
          width: 600px;
        }

        @include desktop-xlg {
          width: 600px;
        }
        > div {
          padding: 32px 0;
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 28px;
          width: 100%;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: rgba(241, 239, 229, 0.6);
          border-bottom: 1px solid rgba(241, 239, 229, 0.2);
          text-align: center;
          white-space: nowrap;
          &:first-of-type {
            padding-top: 0;
          }
          &:last-of-type {
            border-bottom: none;
          }
          @include desktop-lg {
            font-size: 40px;
          }

          @include desktop-xlg {
            font-size: 40px;
          }
        }

        @include tablet {
          margin-left: 50%;
          transform: translate(-50%);
        }
      }
      .image-div {
        width: 48vw;
        height: 75vh;
        margin-left: auto;

        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    @media (max-width: 1024px) {
      padding: 80px 0 190px 0;
      padding-top: 80px;

      @include mobile {
        padding-top: 50px;
      }
      .title {
        width: 10ch;
        text-align: center;
        &:before {
          left: -10px;
          font-size: 33px;
          color: #f1efe5;
        }
      }
      .content {
        flex-direction: column-reverse;
        margin-top: 50px;
        .list {
          margin-top: 50px;
          padding: 0 20px;
          > div {
            padding: 30px 0 !important;
            font-size: 24px;
            color: #f1efe5;
            text-align: center;
            width: 100%;
          }
        }
        .image-div {
          height: 300px;
          width: 100%;

          @include tablet {
            height: 500px;
          }
        }
      }
    }
  }
}

// The Home Section
.footer {
  position: relative;
  z-index: 2;
  background: $green-80;
}
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 110px;
  margin-bottom: -90px;

  @media only screen and (min-width: 1025px) and (max-width: 1160px) {
    padding: 0 30px;
  }

  // @include desktop-lg {
  //   padding: 0 0px;
  // }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;
    margin-top: -60px;

    @include tablet-p {
      font-size: 50px;
      margin: 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 0;
    }
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -85px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    img {
      position: absolute;
      top: -100px;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      object-position: right;
    }
    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;

      > img {
        top: 0;
      }
    }
    @media only screen and (min-width: 1025px) and (max-width: 1250px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1251px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;

    @include tablet {
      margin-bottom: 150px;
    }

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 150px;
      margin-right: 0;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 110px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 3s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }

    @include desktop-lg {
      margin-right: 70px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }
  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) {
      & > * + * {
        margin-left: 50px;
      }
    }
    @media only screen and (min-width: 1160px) and (max-width: 1400px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1400px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 50px;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}

.cta-btn {
  background: transparent;
  border: 1px solid #262e2f;
  display: flex;
  border-radius: 150px;
  padding: 14px 21px;
  width: fit-content;
  margin: 0 auto;
  margin-top: 80px;
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  text-align: center;
  cursor: not-allowed;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #f1efe5;
  background-color: #8e9a9b;

  @media (max-width: 1024px) {
    font-size: 14px;
    margin: 50px auto 0;
  }
  // background-size: 200% 100%;
  // background-image: linear-gradient(to right, #3b4344 50%, #262e2f 50%);
  // transition: background-position 1s;
  // &:hover {
  //   background-position: -100% 0;
  // }
}
.coming-soon-btn {
  display: block;
  font-family: 'Notera';
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  margin-left: 20px;
  letter-spacing: -0.01em;
  color: #9c7e61;
  text-align: center;
  margin: 0;
  @media (max-width: 1024px) {
    font-size: 30px;
    margin-bottom: 50px;
  }
}
